Skip to main content
GET
/
v1
/
organizations
/
billing
/
usage
/
vector-backend
Get Vector Backend Usage
curl --request GET \
  --url https://api.mixpeek.com/v1/organizations/billing/usage/vector-backend \
  --header 'Authorization: Bearer <token>'
{
  "vector_backend": "<string>",
  "billing_month": "<string>",
  "namespace_count": 123,
  "vectors_stored": 123,
  "storage_bytes": 123,
  "queries": 123,
  "writes": 123,
  "cost_breakdown": {
    "backend": "<string>",
    "vector_storage_usd": 123,
    "data_storage_usd": 123,
    "query_usd": 123,
    "write_usd": 123,
    "total_usd": 123,
    "total_credits": 123
  },
  "total_credits": 123,
  "total_cost_usd": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

billing_month
string | null

Billing month in YYYY-MM format (defaults to current month)

Example:

"2026-05"

Response

Successful Response

Response with vector backend usage details.

vector_backend
string
required

Active vector backend for this tenant

Example:

"mvs"

billing_month
string
required

Billing month (YYYY-MM)

Example:

"2026-05"

namespace_count
integer
required

Number of namespaces billed

vectors_stored
integer
required

Total vectors stored across all namespaces

storage_bytes
integer
required

Total storage bytes

queries
integer
required

Total search queries in billing period

writes
integer
required

Total writes in billing period

cost_breakdown
VectorUsageBreakdown · object
required

Detailed cost breakdown

total_credits
integer
required

Total credits for vector backend usage

total_cost_usd
number
required

Total cost in USD